PHPExcel_Calculation

# Class: PHPExcel_Calculation_Statistical

Source Location: /PHPExcel/Calculation/Statistical.php

### Class Overview

PHPExcel_Calculation_Statistical

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- AVEDEV
- AVERAGE
- AVERAGEA
- AVERAGEIF
- BETADIST
- BETAINV
- BINOMDIST
- CHIDIST
- CHIINV
- CONFIDENCE
- CORREL
- COUNT
- COUNTA
- COUNTBLANK
- COUNTIF
- COVAR
- CRITBINOM
- DEVSQ
- EXPONDIST
- FISHER
- FISHERINV
- FORECAST
- GAMMADIST
- GAMMAINV
- GAMMALN
- GEOMEAN
- GROWTH
- HARMEAN
- HYPGEOMDIST
- INTERCEPT
- KURT
- LARGE
- LINEST
- LOGEST
- LOGINV
- LOGNORMDIST
- MAX
- MAXA
- MAXIF
- MEDIAN
- MIN
- MINA
- MINIF
- MODE
- NEGBINOMDIST
- NORMDIST
- NORMINV
- NORMSDIST
- NORMSINV
- PERCENTILE
- PERCENTRANK
- PERMUT
- POISSON
- QUARTILE
- RANK
- RSQ
- SKEW
- SLOPE
- SMALL
- STANDARDIZE
- STDEV
- STDEVA
- STDEVP
- STDEVPA
- STEYX
- TDIST
- TINV
- TREND
- TRIMMEAN
- VARA
- VARFunc
- VARP
- VARPA
- WEIBULL
- ZTEST

### Class Details

[line 62]
PHPExcel_Calculation_Statistical

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### static method AVEDEV [line 700]

`static float AVEDEV( mixed $arg,...)`

AVEDEV

Returns the average of the absolute deviations of data points from their mean. AVEDEV is a measure of the variability in a data set.

Excel Function: AVEDEV(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method AVERAGE [line 748]

`static float AVERAGE( mixed $arg,...)`

AVERAGE

Returns the average (arithmetic mean) of the arguments

Excel Function: AVERAGE(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method AVERAGEA [line 790]

`static float AVERAGEA( mixed $arg,...)`

AVERAGEA

Returns the average of its arguments, including numbers, text, and logical values

Excel Function: AVERAGEA(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method AVERAGEIF [line 839]

`static float AVERAGEIF( $aArgs, string $condition, [ $averageArgs = array()], mixed $arg,...)`

AVERAGEIF

Returns the average value from a range of cells that contain numbers within the list of arguments

Excel Function: AVERAGEIF(value1[,value2[, ...]],condition)

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values
string | $condition | The criteria that defines which cells will be checked.
| $aArgs |
| $averageArgs |

[ Top ]

### static method BETADIST [line 883]

`static float BETADIST( float $value, float $alpha, float $beta, [ $rMin = 0], [ $rMax = 1], boolean $cumulative)`

BETADIST

Returns the beta distribution.

#### Tags:

access: | public

#### Parameters:

float | $value | Value at which you want to evaluate the distribution
float | $alpha | Parameter to the distribution
float | $beta | Parameter to the distribution
boolean | $cumulative |
| $rMin |
| $rMax |

[ Top ]

### static method BETAINV [line 919]

`static float BETAINV( float $probability, float $alpha, float $beta, [ $rMin = 0], [ $rMax = 1], boolean $cumulative)`

BETAINV

Returns the inverse of the beta distribution.

#### Tags:

access: | public

#### Parameters:

float | $probability | Probability at which you want to evaluate the distribution
float | $alpha | Parameter to the distribution
float | $beta | Parameter to the distribution
boolean | $cumulative |
| $rMin |
| $rMax |

[ Top ]

### static method BINOMDIST [line 977]

`static float BINOMDIST( float $value, float $trials, float $probability, boolean $cumulative)`

BINOMDIST

Returns the individual term binomial distribution probability. Use BINOMDIST in problems with a fixed number of tests or trials, when the outcomes of any trial are only success or failure, when trials are independent, and when the probability of success is constant throughout the experiment. For example, BINOMDIST can calculate the probability that two of the next three babies born are male.

#### Tags:

todo: | Cumulative distribution function
access: | public

#### Parameters:

float | $value | Number of successes in trials
float | $trials | Number of trials
float | $probability | Probability of success on each trial
boolean | $cumulative |

[ Top ]

### static method CHIDIST [line 1014]

`static float CHIDIST( float $value, float $degrees)`

CHIDIST

Returns the one-tailed probability of the chi-squared distribution.

#### Tags:

access: | public

#### Parameters:

float | $value | Value for the function
float | $degrees | degrees of freedom

[ Top ]

### static method CHIINV [line 1043]

`static float CHIINV( float $probability, float $degrees)`

CHIINV

Returns the one-tailed probability of the chi-squared distribution.

#### Tags:

access: | public

#### Parameters:

float | $probability | Probability for the function
float | $degrees | degrees of freedom

[ Top ]

### static method CONFIDENCE [line 1101]

`static float CONFIDENCE( float $alpha, float $stdDev, float $size)`

CONFIDENCE

Returns the confidence interval for a population mean

#### Tags:

access: | public

#### Parameters:

float | $alpha |
float | $stdDev | Standard Deviation
float | $size |

[ Top ]

### static method CORREL [line 1128]

`static float CORREL( array $yValues, [array $xValues = null])`

CORREL

Returns covariance, the average of the products of deviations for each data point pair.

#### Tags:

access: | public

#### Parameters:

array | $yValues | of mixed Data Series Y
array | $xValues | of mixed Data Series X

[ Top ]

### static method COUNT [line 1162]

`static int COUNT( mixed $arg,...)`

COUNT

Counts the number of cells that contain numbers within the list of arguments

Excel Function: COUNT(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method COUNTA [line 1197]

`static int COUNTA( mixed $arg,...)`

COUNTA

Counts the number of cells that are not empty within the list of arguments

Excel Function: COUNTA(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method COUNTBLANK [line 1228]

`static int COUNTBLANK( mixed $arg,...)`

COUNTBLANK

Counts the number of empty cells within the list of arguments

Excel Function: COUNTBLANK(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method COUNTIF [line 1260]

`static int COUNTIF( $aArgs, string $condition, mixed $arg,...)`

COUNTIF

Counts the number of cells that contain numbers within the list of arguments

Excel Function: COUNTIF(value1[,value2[, ...]],condition)

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values
string | $condition | The criteria that defines which cells will be counted.
| $aArgs |

[ Top ]

### static method COVAR [line 1290]

`static float COVAR( array $yValues, array $xValues)`

COVAR

Returns covariance, the average of the products of deviations for each data point pair.

#### Tags:

access: | public

#### Parameters:

array | $yValues | of mixed Data Series Y
array | $xValues | of mixed Data Series X

[ Top ]

### static method CRITBINOM [line 1327]

`static int CRITBINOM( float $trials, float $probability, float $alpha)`

CRITBINOM

Returns the smallest value for which the cumulative binomial distribution is greater than or equal to a criterion value

See http://support.microsoft.com/kb/828117/ for details of the algorithm used

#### Tags:

todo: | Warning. This implementation differs from the algorithm detailed on the MS web site in that $CumPGuessMinus1 = $CumPGuess - 1 rather than $CumPGuess - $PGuess This eliminates a potential endless loop error, but may have an adverse affect on the accuracy of the function (although all my tests have so far returned correct results).
access: | public

#### Parameters:

float | $trials | number of Bernoulli trials
float | $probability | probability of a success on each trial
float | $alpha | criterion value

[ Top ]

### static method DEVSQ [line 1431]

`static float DEVSQ( mixed $arg,...)`

DEVSQ

Returns the sum of squares of deviations of data points from their sample mean.

Excel Function: DEVSQ(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method EXPONDIST [line 1479]

`static float EXPONDIST( float $value, float $lambda, boolean $cumulative)`

EXPONDIST

Returns the exponential distribution. Use EXPONDIST to model the time between events, such as how long an automated bank teller takes to deliver cash. For example, you can use EXPONDIST to determine the probability that the process takes at most 1 minute.

#### Tags:

access: | public

#### Parameters:

float | $value | Value of the function
float | $lambda | The parameter value
boolean | $cumulative |

[ Top ]

### static method FISHER [line 1510]

`static float FISHER( float $value)`

FISHER

Returns the Fisher transformation at x. This transformation produces a function that is normally distributed rather than skewed. Use this function to perform hypothesis testing on the correlation coefficient.

#### Tags:

access: | public

#### Parameters:

float | $value |

[ Top ]

### static method FISHERINV [line 1533]

`static float FISHERINV( float $value)`

FISHERINV

Returns the inverse of the Fisher transformation. Use this transformation when analyzing correlations between ranges or arrays of data. If y = FISHER(x), then FISHERINV(y) = x.

#### Tags:

access: | public

#### Parameters:

float | $value |

[ Top ]

### static method FORECAST [line 1553]

`static float FORECAST( float $xValue, array $yValues, array $xValues)`

FORECAST

Calculates, or predicts, a future value by using existing values. The predicted value is a y-value for a given x-value.

#### Tags:

access: | public

#### Parameters:

float | $xValue | Value of X for which we want to find Y
array | $yValues | of mixed Data Series Y
array | $xValues | of mixed Data Series X

[ Top ]

### static method GAMMADIST [line 1588]

`static float GAMMADIST( float $value, float $a, float $b, boolean $cumulative)`

GAMMADIST

Returns the gamma distribution.

#### Tags:

access: | public

#### Parameters:

float | $value | Value at which you want to evaluate the distribution
float | $a | Parameter to the distribution
float | $b | Parameter to the distribution
boolean | $cumulative |

[ Top ]

### static method GAMMAINV [line 1620]

`static float GAMMAINV( float $probability, float $alpha, float $beta)`

GAMMAINV

Returns the inverse of the beta distribution.

#### Tags:

access: | public

#### Parameters:

float | $probability | Probability at which you want to evaluate the distribution
float | $alpha | Parameter to the distribution
float | $beta | Parameter to the distribution

[ Top ]

### static method GAMMALN [line 1678]

`static float GAMMALN( float $value)`

GAMMALN

Returns the natural logarithm of the gamma function.

#### Tags:

access: | public

#### Parameters:

float | $value |

[ Top ]

### static method GEOMEAN [line 1706]

`static float GEOMEAN( mixed $arg,...)`

GEOMEAN

Returns the geometric mean of an array or range of positive data. For example, you can use GEOMEAN to calculate average growth rate given compound interest with variable rates.

Excel Function: GEOMEAN(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method GROWTH [line 1731]

`static array GROWTH( array $yValues, [array $xValues = array()], [array $newValues = array()], [boolean $const = True])`

GROWTH

Returns values along a predicted emponential trend

#### Tags:

return: | of float
access: | public

#### Parameters:

array | $yValues | of mixed Data Series Y
array | $xValues | of mixed Data Series X
array | $newValues | of mixed Values of X for which we want to find Y
boolean | $const | A logical value specifying whether to force the intersect to equal 0.

[ Top ]

### static method HARMEAN [line 1765]

`static float HARMEAN( mixed $arg,...)`

HARMEAN

Returns the harmonic mean of a data set. The harmonic mean is the reciprocal of the arithmetic mean of reciprocals.

Excel Function: HARMEAN(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method HYPGEOMDIST [line 1812]

`static float HYPGEOMDIST( float $sampleSuccesses, float $sampleNumber, float $populationSuccesses, float $populationNumber)`

HYPGEOMDIST

Returns the hypergeometric distribution. HYPGEOMDIST returns the probability of a given number of sample successes, given the sample size, population successes, and population size.

#### Tags:

access: | public

#### Parameters:

float | $sampleSuccesses | Number of successes in the sample
float | $sampleNumber | Size of the sample
float | $populationSuccesses | Number of successes in the population
float | $populationNumber | Population size

[ Top ]

### static method INTERCEPT [line 1845]

`static float INTERCEPT( array $yValues, array $xValues)`

INTERCEPT

Calculates the point at which a line will intersect the y-axis by using existing x-values and y-values.

#### Tags:

access: | public

#### Parameters:

array | $yValues | of mixed Data Series Y
array | $xValues | of mixed Data Series X

[ Top ]

### static method KURT [line 1874]

`static float KURT( array 0)`

KURT

Returns the kurtosis of a data set. Kurtosis characterizes the relative peakedness or flatness of a distribution compared with the normal distribution. Positive kurtosis indicates a relatively peaked distribution. Negative kurtosis indicates a relatively flat distribution.

#### Tags:

access: | public

#### Parameters:

array | 0 | Data Series

[ Top ]

### static method LARGE [line 1919]

`static float LARGE( mixed $arg,..., int $entry)`

LARGE

Returns the nth largest value in a data set. You can use this function to select a value based on its relative standing.

Excel Function: LARGE(value1[,value2[, ...]],entry)

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values
int | $entry | Position (ordered from the largest) in the array or range of data to return

[ Top ]

### static method LINEST [line 1957]

`static array LINEST( array $yValues, [array $xValues = null], [boolean $const = True], [boolean $stats = False])`

LINEST

Calculates the statistics for a line by using the "least squares" method to calculate a straight line that best fits your data, and then returns an array that describes the line.

#### Tags:

access: | public

#### Parameters:

array | $yValues | of mixed Data Series Y
array | $xValues | of mixed Data Series X
boolean | $const | A logical value specifying whether to force the intersect to equal 0.
boolean | $stats | A logical value specifying whether to return additional regression statistics.

[ Top ]

### static method LOGEST [line 2010]

`static array LOGEST( array $yValues, [array $xValues = null], [boolean $const = True], [boolean $stats = False])`

LOGEST

Calculates an exponential curve that best fits the X and Y data series, and then returns an array that describes the line.

#### Tags:

access: | public

#### Parameters:

array | $yValues | of mixed Data Series Y
array | $xValues | of mixed Data Series X
boolean | $const | A logical value specifying whether to force the intersect to equal 0.
boolean | $stats | A logical value specifying whether to return additional regression statistics.

[ Top ]

### static method LOGINV [line 2069]

`static float LOGINV( $probability, $mean, $stdDev, float $value)`

LOGINV

Returns the inverse of the normal cumulative distribution

#### Tags:

todo: | Try implementing P J Acklam's refinement algorithm for greater accuracy if I can get my head round the mathematics (as described at) http://home.online.no/~pjacklam/notes/invnorm/
access: | public

#### Parameters:

float | $value |
| $probability |
| $mean |
| $stdDev |

[ Top ]

### static method LOGNORMDIST [line 2093]

`static float LOGNORMDIST( float $value, $mean, $stdDev)`

LOGNORMDIST

Returns the cumulative lognormal distribution of x, where ln(x) is normally distributed with parameters mean and standard_dev.

#### Tags:

access: | public

#### Parameters:

float | $value |
| $mean |
| $stdDev |

[ Top ]

### static method MAX [line 2122]

`static float MAX( mixed $arg,...)`

MAX

MAX returns the value of the element of the values passed that has the highest value, with negative numbers considered smaller than positive numbers.

Excel Function: MAX(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method MAXA [line 2158]

`static float MAXA( mixed $arg,...)`

MAXA

Returns the greatest value in a list of arguments, including numbers, text, and logical values

Excel Function: MAXA(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method MAXIF [line 2200]

`static float MAXIF( $aArgs, string $condition, [ $sumArgs = array()], mixed $arg,...)`

MAXIF

Counts the maximum value within a range of cells that contain numbers within the list of arguments

Excel Function: MAXIF(value1[,value2[, ...]],condition)

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values
string | $condition | The criteria that defines which cells will be checked.
| $aArgs |
| $sumArgs |

[ Top ]

### static method MEDIAN [line 2239]

`static float MEDIAN( mixed $arg,...)`

MEDIAN

Returns the median of the given numbers. The median is the number in the middle of a set of numbers.

Excel Function: MEDIAN(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method MIN [line 2284]

`static float MIN( mixed $arg,...)`

MIN

MIN returns the value of the element of the values passed that has the smallest value, with negative numbers considered smaller than positive numbers.

Excel Function: MIN(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method MINA [line 2320]

`static float MINA( mixed $arg,...)`

MINA

Returns the smallest value in a list of arguments, including numbers, text, and logical values

Excel Function: MINA(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method MINIF [line 2362]

`static float MINIF( $aArgs, string $condition, [ $sumArgs = array()], mixed $arg,...)`

MINIF

Returns the minimum value within a range of cells that contain numbers within the list of arguments

Excel Function: MINIF(value1[,value2[, ...]],condition)

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values
string | $condition | The criteria that defines which cells will be checked.
| $aArgs |
| $sumArgs |

[ Top ]

### static method MODE [line 2435]

`static float MODE( mixed $arg,...)`

MODE

Returns the most frequently occurring, or repetitive, value in an array or range of data

Excel Function: MODE(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method NEGBINOMDIST [line 2474]

`static float NEGBINOMDIST( float $failures, float $successes, float $probability)`

NEGBINOMDIST

Returns the negative binomial distribution. NEGBINOMDIST returns the probability that there will be number_f failures before the number_s-th success, when the constant probability of a success is probability_s. This function is similar to the binomial distribution, except that the number of successes is fixed, and the number of trials is variable. Like the binomial, trials are assumed to be independent.

#### Tags:

access: | public

#### Parameters:

float | $failures | Number of Failures
float | $successes | Threshold number of Successes
float | $probability | Probability of success on each trial

[ Top ]

### static method NORMDIST [line 2511]

`static float NORMDIST( float $value, float $mean, float $stdDev, boolean $cumulative)`

NORMDIST

Returns the normal distribution for the specified mean and standard deviation. This function has a very wide range of applications in statistics, including hypothesis testing.

#### Tags:

access: | public

#### Parameters:

float | $value |
float | $mean | Mean Value
float | $stdDev | Standard Deviation
boolean | $cumulative |

[ Top ]

### static method NORMINV [line 2543]

`static float NORMINV( $probability, float $mean, float $stdDev, float $value)`

NORMINV

Returns the inverse of the normal cumulative distribution for the specified mean and standard deviation.

#### Tags:

access: | public

#### Parameters:

float | $value |
float | $mean | Mean Value
float | $stdDev | Standard Deviation
| $probability |

[ Top ]

### static method NORMSDIST [line 2571]

`static float NORMSDIST( float $value)`

NORMSDIST

Returns the standard normal cumulative distribution function. The distribution has a mean of 0 (zero) and a standard deviation of one. Use this function in place of a table of standard normal curve areas.

#### Tags:

access: | public

#### Parameters:

float | $value |

[ Top ]

### static method NORMSINV [line 2586]

`static float NORMSINV( float $value)`

NORMSINV

Returns the inverse of the standard normal cumulative distribution

#### Tags:

access: | public

#### Parameters:

float | $value |

[ Top ]

### static method PERCENTILE [line 2605]

`static float PERCENTILE( mixed $arg,..., float $entry)`

PERCENTILE

Returns the nth percentile of values in a range..

Excel Function: PERCENTILE(value1[,value2[, ...]],entry)

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values
float | $entry | Percentile value in the range 0..1, inclusive.

[ Top ]

### static method PERCENTRANK [line 2651]

`static float PERCENTRANK( array $valueSet, number $value, [number $significance = 3])`

PERCENTRANK

Returns the rank of a value in a data set as a percentage of the data set.

#### Tags:

access: | public

#### Parameters:

array | $valueSet | of number An array of, or a reference to, a list of numbers.
number | $value | The number whose rank you want to find.
number | $significance | The number of significant digits for the returned percentage value.

[ Top ]

### static method PERMUT [line 2700]

`static int PERMUT( int $numObjs, int $numInSet)`

PERMUT

Returns the number of permutations for a given number of objects that can be selected from number objects. A permutation is any set or subset of objects or events where internal order is significant. Permutations are different from combinations, for which the internal order is not significant. Use this function for lottery-style probability calculations.

#### Tags:

return: | Number of permutations
access: | public

#### Parameters:

int | $numObjs | Number of different objects
int | $numInSet | Number of objects in each permutation

[ Top ]

### static method POISSON [line 2728]

`static float POISSON( float $value, float $mean, boolean $cumulative)`

POISSON

Returns the Poisson distribution. A common application of the Poisson distribution is predicting the number of events over a specific time, such as the number of cars arriving at a toll plaza in 1 minute.

#### Tags:

access: | public

#### Parameters:

float | $value |
float | $mean | Mean Value
boolean | $cumulative |

[ Top ]

### static method QUARTILE [line 2766]

`static float QUARTILE( mixed $arg,..., int $entry)`

QUARTILE

Returns the quartile of a data set.

Excel Function: QUARTILE(value1[,value2[, ...]],entry)

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values
int | $entry | Quartile value in the range 1..3, inclusive.

[ Top ]

### static method RANK [line 2793]

`static float RANK( number $value, array $valueSet, [mixed $order = 0])`

RANK

Returns the rank of a number in a list of numbers.

#### Tags:

access: | public

#### Parameters:

number | $value | The number whose rank you want to find.
array | $valueSet | of number An array of, or a reference to, a list of numbers.
mixed | $order | Order to sort the values in the value set

[ Top ]

### static method RSQ [line 2827]

`static float RSQ( array $yValues, array $xValues)`

RSQ

Returns the square of the Pearson product moment correlation coefficient through data points in known_y's and known_x's.

#### Tags:

access: | public

#### Parameters:

array | $yValues | of mixed Data Series Y
array | $xValues | of mixed Data Series X

[ Top ]

### static method SKEW [line 2856]

`static float SKEW( array 0)`

SKEW

Returns the skewness of a distribution. Skewness characterizes the degree of asymmetry of a distribution around its mean. Positive skewness indicates a distribution with an asymmetric tail extending toward more positive values. Negative skewness indicates a distribution with an asymmetric tail extending toward more negative values.

#### Tags:

access: | public

#### Parameters:

array | 0 | Data Series

[ Top ]

### static method SLOPE [line 2892]

`static float SLOPE( array $yValues, array $xValues)`

SLOPE

Returns the slope of the linear regression line through data points in known_y's and known_x's.

#### Tags:

access: | public

#### Parameters:

array | $yValues | of mixed Data Series Y
array | $xValues | of mixed Data Series X

[ Top ]

### static method SMALL [line 2925]

`static float SMALL( mixed $arg,..., int $entry)`

SMALL

Returns the nth smallest value in a data set. You can use this function to select a value based on its relative standing.

Excel Function: SMALL(value1[,value2[, ...]],entry)

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values
int | $entry | Position (ordered from the smallest) in the array or range of data to return

[ Top ]

### static method STANDARDIZE [line 2961]

`static float STANDARDIZE( float $value, float $mean, float $stdDev)`

STANDARDIZE

Returns a normalized value from a distribution characterized by mean and standard_dev.

#### Tags:

return: | Standardized value
access: | public

#### Parameters:

float | $value | Value to normalize
float | $mean | Mean Value
float | $stdDev | Standard Deviation

[ Top ]

### static method STDEV [line 2990]

`static float STDEV( mixed $arg,...)`

STDEV

Estimates standard deviation based on a sample. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Excel Function: STDEV(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method STDEVA [line 3037]

`static float STDEVA( mixed $arg,...)`

STDEVA

Estimates standard deviation based on a sample, including numbers, text, and logical values

Excel Function: STDEVA(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method STDEVP [line 3089]

`static float STDEVP( mixed $arg,...)`

STDEVP

Calculates standard deviation based on the entire population

Excel Function: STDEVP(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method STDEVPA [line 3136]

`static float STDEVPA( mixed $arg,...)`

STDEVPA

Calculates standard deviation based on the entire population, including numbers, text, and logical values

Excel Function: STDEVPA(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method STEYX [line 3184]

`static float STEYX( array $yValues, array $xValues)`

STEYX

Returns the standard error of the predicted y-value for each x in the regression.

#### Tags:

access: | public

#### Parameters:

array | $yValues | of mixed Data Series Y
array | $xValues | of mixed Data Series X

[ Top ]

### static method TDIST [line 3212]

`static float TDIST( float $value, float $degrees, float $tails)`

TDIST

Returns the probability of Student's T distribution.

#### Tags:

access: | public

#### Parameters:

float | $value | Value for the function
float | $degrees | degrees of freedom
float | $tails | number of tails (1 or 2)

[ Top ]

### static method TINV [line 3272]

`static float TINV( float $probability, float $degrees)`

TINV

Returns the one-tailed probability of the chi-squared distribution.

#### Tags:

access: | public

#### Parameters:

float | $probability | Probability for the function
float | $degrees | degrees of freedom

[ Top ]

### static method TREND [line 3329]

`static array TREND( array $yValues, [array $xValues = array()], [array $newValues = array()], [boolean $const = True])`

TREND

Returns values along a linear trend

#### Tags:

return: | of float
access: | public

#### Parameters:

array | $yValues | of mixed Data Series Y
array | $xValues | of mixed Data Series X
array | $newValues | of mixed Values of X for which we want to find Y
boolean | $const | A logical value specifying whether to force the intersect to equal 0.

[ Top ]

### static method TRIMMEAN [line 3365]

`static float TRIMMEAN( mixed $arg,..., float $discard)`

TRIMMEAN

Returns the mean of the interior of a data set. TRIMMEAN calculates the mean taken by excluding a percentage of data points from the top and bottom tails of a data set.

Excel Function: TRIMEAN(value1[,value2[, ...]],$discard)

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values
float | $discard | Percentage to discard

[ Top ]

### static method VARA [line 3449]

`static float VARA( mixed $arg,...)`

VARA

Estimates variance based on a sample, including numbers, text, and logical values

Excel Function: VARA(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method VARFunc [line 3407]

`static float VARFunc( mixed $arg,...)`

VARFunc

Estimates variance based on a sample.

Excel Function: VAR(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method VARP [line 3502]

`static float VARP( mixed $arg,...)`

VARP

Calculates variance based on the entire population

Excel Function: VARP(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method VARPA [line 3544]

`static float VARPA( mixed $arg,...)`

VARPA

Calculates variance based on the entire population, including numbers, text, and logical values

Excel Function: VARPA(value1[,value2[, ...]])

#### Tags:

access: | public

#### Parameters:

mixed | $arg,... | Data values

[ Top ]

### static method WEIBULL [line 3597]

`static float WEIBULL( float $value, float $alpha, float $beta, boolean $cumulative)`

WEIBULL

Returns the Weibull distribution. Use this distribution in reliability analysis, such as calculating a device's mean time to failure.

#### Tags:

access: | public

#### Parameters:

float | $value |
float | $alpha | Alpha Parameter
float | $beta | Beta Parameter
boolean | $cumulative |

[ Top ]

### static method ZTEST [line 3631]

`static float ZTEST( $dataSet, $m0, [ $sigma = null], float $value, float $alpha, float $beta, boolean $cumulative)`

ZTEST

Returns the Weibull distribution. Use this distribution in reliability analysis, such as calculating a device's mean time to failure.

#### Tags:

access: | public

#### Parameters:

float | $value |
float | $alpha | Alpha Parameter
float | $beta | Beta Parameter
boolean | $cumulative |
| $dataSet |
| $m0 |
| $sigma |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:48 +0200 by phpDocumentor 1.4.4